# Korero Maori ASR Interface

A Greenstone 3 interface for the Atea Project, allowing people to easily utilise the ASR service of https://koreromaori.io to transcribe reo Māori audio files.

## Project setup

Ensure that [node.js](https://nodejs.org) is on your path.

You will also need to setup the Greenstone `koreromaori-proxy` extension. Visit https://trac.greenstone.org/browser/gs3-extensions/atea-nlp-tools/trunk/src/koreromaori-proxy to get the source.

```
npm install
```

### Compile and hot-reload for development

This will open a development webserver on [localhost:8080](http://localhost:8080), that is detached from the running Greenstone instance (provided you haven't removed development-specific code).

```
npm run serve
```

### Compile and minify for production

1. In `vue.config.js`, uncomment the `publicPath` property, and optionally change it to point to where your production distribution will be placed relative to the interface.

2. Build the project.
    ```
    npm run build
    ```

### Lint and fix files

This uses the settings in `.eslintrc.js` to lint the project, and attempts to fix mistakes accordingly.

```
npm run lint
```
