// vue.config.js

/**
 * @type {import('@vue/cli-service').ProjectOptions}
 */
module.exports = {
    // publicPath: "interfaces/atea/korero-maori-asr/dist",
    filenameHashing: false, // Allows us to easily setup direct links in our asr.xsl. You may want to change this for production in order to help with caching

    chainWebpack: config => {
        config
            .plugin("html")
            .tap(args => {
                args[0].title = "Korero Māori Transcription Interface";
                return args;
            })
    },

    css: {
        loaderOptions: {
            sass: {
                prependData: "@use \"@/styles/_material.scss\";@use \"@/styles/theme.scss\";"
            }
        }
    }
}
